Get executions list

GEThttps://bank.dattaremit.com/api/executions

Requires a bank-scoped key.

Retrieves a listing of executions. Records are sorted by creation date in descending order.

Required scope: executions:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated execution_guids to list executions for.

plan_guidstring

Comma separated plan_guids to list executions for.

bank_guidstring

Comma separated bank_guids to list executions for.

customer_guidstring

Comma separated customer_guids to list executions for.

typestring

Comma separated types to list executions for.

statestring

Comma separated states to list executions for.

source_account_guidstring

Comma separated source account guids to list executions for.

destination_account_guidstring

Comma separated destination account guids to list executions for.

created_at_gtestring

Created at start date-time inclusive lower bound, ISO8601.

created_at_ltstring

Created at end date-time exclusive upper bound, ISO8601.

updated_at_gtestring

Updated at start date-time inclusive lower bound, ISO8601.

updated_at_ltstring

Updated at end date-time exclusive upper bound, ISO8601.

Responses

200

get list of executions

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/executions \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of executions

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "type": "string",
      "plan_guid": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "state": "string",
      "failure_code": "string",
      "source_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "stages": [
        {
          "guid": "string",
          "type": "string",
          "state": "string",
          "failure_code": "string",
          "identifiers": [
            null
          ],
          "links": [
            null
          ],
          "created_at": "2026-07-20T16:27:51.438Z",
          "updated_at": "2026-07-20T16:27:51.438Z",
          "source_account": {
            "guid": null,
            "type": null,
            "organization_guid": null,
            "bank_guid": null,
            "customer_guid": null,
            "counterparty_guid": null,
            "asset": null,
            "requested_amount": null,
            "quoted_amount": null,
            "executed_amount": null,
            "payment_rail": null
          },
          "destination_account": {
            "guid": null,
            "type": null,
            "organization_guid": null,
            "bank_guid": null,
            "customer_guid": null,
            "counterparty_guid": null,
            "asset": null,
            "requested_amount": null,
            "quoted_amount": null,
            "executed_amount": null,
            "payment_rail": null
          },
          "fees": [
            null
          ],
          "deposit_return_details": {
            "returned_at": null,
            "return_code": null
          },
          "withdrawal_return_details": {
            "returned_at": null,
            "return_code": null
          }
        }
      ],
      "fees": [
        {
          "type": "string",
          "asset": "string",
          "quoted_amount": 1,
          "executed_amount": 1
        }
      ],
      "holds": [
        {
          "type": "customer_hold_duration",
          "state": "active",
          "started_at": "2026-07-20T16:27:51.438Z",
          "completed_at": "2026-07-20T16:27:51.438Z",
          "eta_at": "2026-07-20T16:27:51.438Z"
        }
      ],
      "travel_rule_info": {
        "originating_party": {
          "type": "string",
          "participant_guid": "string"
        },
        "receiving_party": {
          "type": "string",
          "participant_guid": "string"
        },
        "ultimate_originating_party": {
          "type": "string",
          "participant_guid": "string"
        },
        "ultimate_receiving_party": {
          "type": "string",
          "participant_guid": "string"
        }
      },
      "purpose_of_transaction": "computer_services",
      "references": [
        {
          "type": "returned_execution",
          "guid": "string"
        }
      ],
      "labels": [
        "string"
      ]
    }
  ]
}